.ig
Copyright (C) 2002 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of
this manual provided the copyright notice and this permission notice
are preserved on all copies.

Permission is granted to copy and distribute modified versions of this
manual under the conditions for verbatim copying, provided that the
entire resulting derived work is distributed under the terms of a
permission notice identical to this one.

Permission is granted to copy and distribute translations of this
manual into another language, under the above conditions for modified
versions, except that this permission notice may be included in
translations approved by the Free Software Foundation instead of in
the original English.
..
.ds Version "Version 0.5"
.TH LABELS 7 "18 May 2002" "\*[Version]"
.SH NAME
labels \- groff label macros
.SH SYNOPSIS
.B groff
.B \-m\ labels
[
.IR files .\|.\|.\&
]
.\" -----
.SH DESCRIPTION
Use the
.I labels
macros to print onto pre-cut labels.
\*[Version] includes the following predefined labels:
.IP \(bu
.B avery5160
\(em address labels (not well-tested)
.IP \(bu
.B avery5199S
\(em video spine labels
.IP \(bu
.B avery5199F
\(em video face labels
.\" -----
.SH USAGE
The
.I labels
macros are fairly simple:
use the
.B Label
macro to specify a pre-defined label type,
define a macro to print your label,
and use the
.B Fill
or
.B FillPage
macros to make as many labels as you need.
.SS User Macros
The following macros are available:
.TP
.BI Label " type"
Specifies a pre-defined label
.IR type .
See the list at the beginning of this document for the
supported types.
Use this macro before any other
.I labels
macros.
.TP
.BI FillPage " macro " [ n ]
Print
.I n
pages of labels
using the specified
.IR macro .
You can omit
.I n
to print a single page.
.TP
.BI Fill " macro row col n"
Print
.I n
labels starting at
.I row
and
.IR col .
Row and column numbers start with 1.
Use this macro to print a partial sheet;
if you request more labels that can fit on a page,
.I groff
stops at the last label on the page.
You may find this macro handy for using up the
last labels on partial sheets
(video labels are hideously expensive).
.TP
.BI Lines " n"
Generates vertical space such that a label containing
.I n
lines of text should be centered vertically in the label.
.SS Low Level Macros
The following macros may be useful for debugging a new label type.
.TP
.BI lbl_Row " n"
Move to row
.IR n .
Row numbers start with 0.
.TP
.BI lbl_Col " n"
Move to column
.IR n .
Column numbers start with 0.
.SH DEFINING NEW LABELS
The following is an example label definition
(actually avery5199F):
.RS
\&.nr lbl_ROWS 5		Number of rows on the page
.br
\&.nr lbl_COLS 2		Number of labels per row
.br
\&.nr lbl_TopMar 2.3c	Space to the top of the first label
.br
\&.nr lbl_LeftMar 2.8c  Space to the left of the first label
.br
\&.nr lbl_Width 7.8c	Width of each label
.br
\&.nr lbl_Height 4.65c	Height of each label
.br
\&.nr lbl_ColGap 0.6c	Gap between columns, if any
.br
\&.ll (u;\n[lbl_Width])	Makes centering work right
.br
\&.po \n[lbl_LeftMar]
.RE
.LP
The number registers shown above completely define
the behavior of the
.I labels
macros.
If you create a new label definition file, place it in the
.I tmac/labels
directory and it will be available to the
.B Label
macro.
.SH CREATING LABEL MACROS
The entire set of
.I groff
requests are available for creating label macros.
Label macros are not limited to static output repeated
on each label.
For example, a macro could print a sequence number
at the bottom of each label,
or read an address from
.IR stdout .
.SH BUGS AND MISSING FEATURES
No known bugs.
.LP
The file
.IR std.adjust ,
in the 
.I tmac/labels
directory, should be used to calibrate a printer.
Currently, that functionality is not implemented.
.LP
More label definitions are certainly needed.
.SH AUTHOR
Larry Kollar (lkollar@despammed.com)
